Index: plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/project/facet/MavenFacetInstallPage.java
===================================================================
--- plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/project/facet/MavenFacetInstallPage.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/project/facet/MavenFacetInstallPage.java	(working copy)
@@ -1,10 +1,15 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.ui.internal.project.facet;
 
-import java.util.Map;
-import java.util.SortedSet;
-
-import javax.swing.JButton;
-
 import org.apache.maven.model.Model;
 import org.eclipse.core.resources.IFile;
 import org.eclipse.core.resources.IProject;
@@ -12,6 +17,9 @@
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.jst.j2ee.project.facet.IJ2EEFacetConstants;
 import org.eclipse.jst.j2ee.web.project.facet.WebFacetUtils;
+import org.eclipse.m2e.core.MavenPlugin;
+import org.eclipse.m2e.core.embedder.MavenModelManager;
+import org.eclipse.m2e.core.internal.IMavenConstants;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
@@ -37,10 +45,12 @@
 import org.jboss.tools.maven.core.IJBossMavenConstants;
 import org.jboss.tools.maven.ui.Activator;
 import org.jboss.tools.maven.ui.Messages;
-import org.maven.ide.eclipse.MavenPlugin;
-import org.maven.ide.eclipse.core.IMavenConstants;
-import org.maven.ide.eclipse.embedder.MavenModelManager;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class MavenFacetInstallPage extends DataModelWizardPage implements
 IFacetWizardPage {
 
@@ -151,7 +161,7 @@
 				} else if ("2.1".equals(seamFacetVersion.getVersionString())) { //$NON-NLS-1$ 
 					seamVersion.setText("2.1.1.GA"); //$NON-NLS-1$
 				} else if ("2.2".equals(seamFacetVersion.getVersionString())) { //$NON-NLS-1$
-					seamVersion.setText("2.2.0.GA"); //$NON-NLS-1$
+					seamVersion.setText("2.2.1.Final"); //$NON-NLS-1$
 				}
 				Button removeWTPContainers = new Button(composite,SWT.CHECK);
 				removeWTPContainers.setText(Messages.MavenFacetInstallPage_Remove_WTP_Classpath_containers);
Index: plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/ExclusionEditingSupport.java
===================================================================
--- plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/ExclusionEditingSupport.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/ExclusionEditingSupport.java	(working copy)
@@ -1,3 +1,13 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.ui.internal.libprov;
 
 import org.eclipse.jface.viewers.CellEditor;
@@ -5,9 +15,13 @@
 import org.eclipse.jface.viewers.EditingSupport;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TextCellEditor;
-import org.jboss.tools.maven.ui.Messages;
-import org.maven.ide.components.pom.Exclusion;
+import org.eclipse.m2e.model.edit.pom.Exclusion;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class ExclusionEditingSupport extends EditingSupport {
 
 	private CellEditor editor;
Index: plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/MavenUserLibraryProviderInstallPanel.java
===================================================================
--- plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/MavenUserLibraryProviderInstallPanel.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/MavenUserLibraryProviderInstallPanel.java	(working copy)
@@ -1,3 +1,13 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.ui.internal.libprov;
 
 import java.io.File;
@@ -26,6 +36,11 @@
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.jst.common.project.facet.core.libprov.ILibraryProvider;
 import org.eclipse.jst.common.project.facet.ui.libprov.LibraryProviderOperationPanel;
+import org.eclipse.m2e.model.edit.pom.Dependency;
+import org.eclipse.m2e.model.edit.pom.Exclusion;
+import org.eclipse.m2e.model.edit.pom.Model;
+import org.eclipse.m2e.model.edit.pom.PomFactory;
+import org.eclipse.m2e.model.edit.pom.util.PomResourceImpl;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.DisposeEvent;
@@ -43,12 +58,12 @@
 import org.jboss.tools.maven.core.MavenCoreActivator;
 import org.jboss.tools.maven.core.libprov.MavenLibraryProviderInstallOperationConfig;
 import org.jboss.tools.maven.ui.Messages;
-import org.maven.ide.components.pom.Dependency;
-import org.maven.ide.components.pom.Exclusion;
-import org.maven.ide.components.pom.Model;
-import org.maven.ide.components.pom.PomFactory;
-import org.maven.ide.components.pom.util.PomResourceImpl;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class MavenUserLibraryProviderInstallPanel extends
 		LibraryProviderOperationPanel {
 
Index: plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/DependencyEditingSupport.java
===================================================================
--- plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/DependencyEditingSupport.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/internal/libprov/DependencyEditingSupport.java	(working copy)
@@ -1,14 +1,28 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.ui.internal.libprov;
 
-import org.jboss.tools.maven.ui.Messages;
-import org.maven.ide.components.pom.Dependency;
 import org.eclipse.jface.viewers.CellEditor;
 import org.eclipse.jface.viewers.ColumnViewer;
 import org.eclipse.jface.viewers.ComboBoxCellEditor;
 import org.eclipse.jface.viewers.EditingSupport;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TextCellEditor;
+import org.eclipse.m2e.model.edit.pom.Dependency;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class DependencyEditingSupport extends EditingSupport {
 
 	private static String[] scopes = {"","provided", "compile", "test", "runtime", "system","import"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$
Index: plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/Activator.java
===================================================================
--- plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/Activator.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/Activator.java	(working copy)
@@ -1,21 +1,34 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.ui;
 
+import java.io.File;
 import java.util.ArrayList;
 import java.util.List;
 
 import org.apache.maven.artifact.Artifact;
+import org.apache.maven.artifact.repository.ArtifactRepository;
 import org.apache.maven.artifact.resolver.filter.ArtifactFilter;
-import org.apache.maven.model.Dependency;
+import org.apache.maven.execution.MavenExecutionRequest;
+import org.apache.maven.execution.MavenExecutionResult;
 import org.apache.maven.project.MavenProject;
+import org.eclipse.core.runtime.CoreException;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.NullProgressMonitor;
 import org.eclipse.core.runtime.Status;
-import org.eclipse.jst.common.project.facet.core.libprov.ILibraryProvider;
-import org.eclipse.jst.common.project.facet.core.libprov.LibraryInstallDelegate;
-import org.eclipse.jst.common.project.facet.core.libprov.LibraryProviderFramework;
+import org.eclipse.m2e.core.MavenPlugin;
+import org.eclipse.m2e.core.internal.embedder.MavenImpl;
+import org.eclipse.m2e.core.project.IMavenProjectFacade;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
-import org.eclipse.wst.common.frameworks.datamodel.IDataModel;
-import org.eclipse.wst.common.project.facet.core.IFacetedProject;
-import org.eclipse.wst.common.project.facet.core.IProjectFacetVersion;
 import org.osgi.framework.BundleContext;
 
 /**
@@ -43,7 +56,7 @@
 	public static final String CONFIGURE_JSF = "configureJSF"; //$NON-NLS-1$
 	
 	public static final boolean CONFIGURE_JSF_VALUE = true;
-
+	
 	public static final String CONFIGURE_WEBXML_JSF20 = "configureWebxmlJSF20"; //$NON-NLS-1$
 	
 	public static final boolean CONFIGURE_WEBXML_JSF20_VALUE = false;
@@ -133,4 +146,70 @@
 	    return null;
 	}
 	
+	@SuppressWarnings("restriction")
+	public String getDependencyVersion(Artifact artifact, List<ArtifactRepository> remoteRepos, String gid, String aid) {
+	    IMavenProjectFacade facade = MavenPlugin.getMavenProjectRegistry().getMavenProject(
+	    		artifact.getGroupId(), artifact.getArtifactId(), artifact.getVersion());
+		//If the artifact is a workspace dependency, the mavenProject is already loaded
+	    if (facade != null) {
+			return getDependencyVersion(facade.getMavenProject(), gid, aid);
+		}
+		
+	    //look at the artifact pom file and if it exists, load the corresponding MavenProject
+		File pom = getPomFile(artifact);
+		String version = null;
+	    if (pom != null) {
+		    MavenProject mavenProject = null;
+	    	MavenImpl maven = (MavenImpl)MavenPlugin.getMaven();
+		    try {
+		    	//Create a custom execution request
+		    	IProgressMonitor monitor = new NullProgressMonitor();
+		    	MavenExecutionRequest request = maven.createExecutionRequest(monitor);
+		    	for (ArtifactRepository repo : remoteRepos) {
+		    		request.addRemoteRepository(repo);
+		    	}
+		    	request.setPom(pom);
+		    	request.getProjectBuildingRequest().setResolveDependencies(true);
+
+		    	//Load the MavenProject
+		    	MavenExecutionResult result = maven.readProject(request, monitor);
+		    	//log errors
+		    	if (result.hasExceptions()) {
+		    		for (Throwable e : result.getExceptions()) {
+		    			log(e);
+		    		}
+		    	} else {
+		    		mavenProject = result.getProject();
+		    		if (mavenProject != null) {
+		    			//finally look at the dependency version
+						version = getDependencyVersion(mavenProject , gid, aid);
+				    	//Detach the mavenProject from the maven session to avoid memory leaks
+						maven.detachFromSession(mavenProject);
+		    		}		    		
+		    	}
+			} catch (CoreException e) {
+				//Don't crash on failures to read the dependency version
+				log(e);
+			} 
+	    }
+    	return version; 	
+	}
+
+	private File getPomFile(Artifact artifact) {
+		File artifactFile = artifact.getFile();
+		if (artifactFile != null) {
+			String path = artifactFile.getAbsolutePath();
+			int lastIndexOfDot = path.lastIndexOf("."); //$NON-NLS-1$
+			if (lastIndexOfDot > 0) {
+				String pomPath = path.substring(0, lastIndexOfDot)+".pom"; //$NON-NLS-1$
+				File pomFile = new File(pomPath);
+				if (pomFile.exists() && pomFile.canRead()) {
+					return pomFile;
+				}
+			}
+			//TODO look inside the artifact jar if pom isn't available
+		}
+		return null;
+	}
+	
 }
Index: plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/preferences/ConfiguratorPreferencesInitializer.java
===================================================================
--- plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/preferences/ConfiguratorPreferencesInitializer.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/preferences/ConfiguratorPreferencesInitializer.java	(working copy)
@@ -1,11 +1,25 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.ui.preferences;
 
-
 import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
 import org.eclipse.core.runtime.preferences.DefaultScope;
 import org.eclipse.core.runtime.preferences.IEclipsePreferences;
 import org.jboss.tools.maven.ui.Activator;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class ConfiguratorPreferencesInitializer extends
 		AbstractPreferenceInitializer {
 
Index: plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/preferences/ConfiguratorPreferencePage.java
===================================================================
--- plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/preferences/ConfiguratorPreferencePage.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.ui/src/org/jboss/tools/maven/ui/preferences/ConfiguratorPreferencePage.java	(working copy)
@@ -1,3 +1,13 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.ui.preferences;
 
 import org.eclipse.core.runtime.Platform;
@@ -17,6 +27,11 @@
 import org.jboss.tools.maven.ui.Messages;
 import org.osgi.framework.Bundle;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class ConfiguratorPreferencePage extends PreferencePage implements
 		IWorkbenchPreferencePage {
 
Index: plugins/org.jboss.tools.maven.ui/META-INF/MANIFEST.MF
===================================================================
--- plugins/org.jboss.tools.maven.ui/META-INF/MANIFEST.MF	(revision 32612)
+++ plugins/org.jboss.tools.maven.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.maven.ui; singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.2.0.qualifier
 Bundle-Localization: plugin
 Bundle-Activator: org.jboss.tools.maven.ui.Activator
 Require-Bundle: org.eclipse.ui,
Index: plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/MavenJSFActivator.java
===================================================================
--- plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/MavenJSFActivator.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/MavenJSFActivator.java	(working copy)
@@ -1,3 +1,13 @@
+/*******************************************************************************
+ * Copyright (c) 2011 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
 package org.jboss.tools.maven.jsf;
 
 import org.eclipse.core.runtime.IStatus;
@@ -13,6 +23,11 @@
 import org.eclipse.wst.common.project.facet.core.IProjectFacetVersion;
 import org.osgi.framework.BundleContext;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class MavenJSFActivator extends AbstractUIPlugin {
 
 	// The plug-in ID
Index: plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/JSFLifecycleMapping.java
===================================================================
--- plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/JSFLifecycleMapping.java	(revision 0)
+++ plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/JSFLifecycleMapping.java	(revision 0)
@@ -0,0 +1,20 @@
+/*******************************************************************************
+ * Copyright (c) 2011 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.maven.jsf;
+
+import org.eclipse.m2e.core.project.configurator.AbstractCustomizableLifecycleMapping;
+
+/**
+ * @author snjeza
+ */
+public class JSFLifecycleMapping extends AbstractCustomizableLifecycleMapping {
+
+}
